## sway-regolith 1.7-7

=== meson_options.txt ===
option('default-wallpaper', type: 'boolean', value: false, description: 'Install the default wallpaper.')
option('zsh-completions', type: 'boolean', value: true, description: 'Install zsh shell completions.')
option('bash-completions', type: 'boolean', value: true, description: 'Install bash shell completions.')
option('fish-completions', type: 'boolean', value: true, description: 'Install fish shell completions.')
option('swaybar', type: 'boolean', value: true, description: 'Enable support for swaybar')
option('swaynag', type: 'boolean', value: true, description: 'Enable support for swaynag')
option('xwayland', type: 'feature', value: 'auto', description: 'Enable support for X11 applications')
option('tray', type: 'feature', value: 'auto', description: 'Enable support for swaybar tray')
option('gdk-pixbuf', type: 'feature', value: 'auto', description: 'Enable support for more image formats in swaybg')
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('sd-bus-provider', type: 'combo', choices: ['auto', 'libsystemd', 'libelogind', 'basu'], value: 'auto', description: 'Provider of the sd-bus library')

## sway-regolith 1.7-8-1regolith

=== debian/changelog ===
sway-regolith (1.7-8-1regolith-jammy) jammy; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 05 Apr 2025 22:15:13 +0000

sway-regolith (1.7-8) jammy; urgency=medium

  * UNRELEASED

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 04 Feb 2025 14:18:35 +0000

sway-regolith (1.7-7) jammy; urgency=medium

  * fix: rename exec back to sway for consistency w/ newer versions

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 31 Jan 2025 12:56:43 -0500

sway-regolith (1.7-6) focal; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * Fixed tray context menu, v1.7-5 didn't bring in the required changes

 -- Soumya Ranjan Patnaik <soumyaranjan1812@gmail.com>  Mon, 09 Jan 2023 10:57:42 +0530

sway-regolith (1.7-5) focal; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * Support for tray context menu

 -- soumyarp <soumyaranjan1812@gmail.com>  Mon, 09 Jan 2023 04:24:58 +0530

sway-regolith (1.7-4) focal; urgency=medium

  * Remove sway-regolith.desktop file

 -- Soumya Ranjan Patnaik <soumyaranjan1812@gmail.com>  Thu, 15 Dec 2022 01:53:15 +0530

sway-regolith (1.7-3) focal; urgency=medium

  * Do not install wallpaper to avoid package collision with sway-backgrounds

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 24 Sep 2022 10:21:14 -0700

sway-regolith (1.7-2) focal; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * Removed .pc
  * Removed sway-regolith build directory, changed sway-regolith.dekstop

  [ Regolith Linux ]
  * Do not use native packaging
  * Remove patches, have already been applied to source
  * Experiemental fix for compilation issue

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 24 Sep 2022 10:07:16 -0700

sway-regolith (1.7) focal; urgency=medium

  [ Birger Schacht ]
  * Backport patch to replace strncpy with memcpy (Closes: #1013044)
  * Backport patch to remove buffer destruction condition in swaynag
  * Bump standards-version to 4.6.1.0 (no changes required)

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 02 Sep 2022 15:38:16 -0700

sway (1.7-2) unstable; urgency=medium

  * Upload to unstable (Closes: #1008461)

 -- Birger Schacht <birger@debian.org>  Fri, 01 Apr 2022 11:20:59 +0200

sway (1.7-1) experimental; urgency=medium

  * New upstream release.
  * Bump min. version of wlroots build dependency to 0.15
  * Bump min. version of wayland-protocols to 1.24
  * Set min version of libwayland-dev to 1.20
  * Drop filenamemangle option from d/watch
  * Update patch for default configuration file
  * Update year range in d/copyright stanza for debian/*

 -- Birger Schacht <birger@debian.org>  Wed, 16 Feb 2022 10:00:35 +0100

sway (1.6.1-2) unstable; urgency=medium

  * Replace dependency on pcre with pcre2 (Closes: #999950)
  * Upload to unstable
  * Update year range in d/copyright stanza for debian/*

 -- Birger Schacht <birger@debian.org>  Fri, 17 Dec 2021 07:42:23 +0100

sway (1.6.1-1) experimental; urgency=medium

  * New upstream release (Closes: #989274)
  * Add libseat-dev to build-depends
  * Bump min. version of wlroots build dependency to 0.14
  * Bump standards-version to 4.6.0.1 (no changes required)
  * Fix d/watch

 -- Birger Schacht <birger@debian.org>  Thu, 18 Nov 2021 16:00:28 +0100

sway (1.6-1) experimental; urgency=medium

  * New upstream release (Closes: #986649)
  * d/control:
   + Bump min. version of wlroots build dependency to 0.13

 -- Birger Schacht <birger@debian.org>  Tue, 27 Apr 2021 17:50:54 +0200

sway (1.5.1-2) unstable; urgency=medium

  * Update dependency on wlroots (0.12 or higher)
  * d/gbp.conf: Update debian-branch.

 -- nicoo <nicoo@debian.org>  Sun, 14 Feb 2021 12:36:51 +0100

sway (1.5.1-1) experimental; urgency=medium

  * New upstream release
    Compatible with wlroots v0.12

  * Update nicoo's name
  * d/upstream: Update signing key
  * d/gbp.conf: Update debian-branch for experimental

 -- nicoo <nicoo@debian.org>  Wed, 03 Feb 2021 18:42:21 +0100

sway (1.5-7) unstable; urgency=medium

  * Upload to unstable with new package `grimshot`
  * Add Bug-Tracking information to d/upstream/metadata
  * Drop config snippet that sets the default term and set this
    in the default configuration instead
  * Add d/sway.maintscript to remove obsolete config file
  * Add a config file to set environment variables in systemd
    environment

 -- Birger Schacht <birger@debian.org>  Thu, 05 Nov 2020 22:40:59 +0100

sway (1.5-6) experimental; urgency=medium

  * Add a new binary package that contains the `grimshot` script
    and its documentation from the contrib folder (Closes: #960044)

 -- Birger Schacht <birger@debian.org>  Tue, 03 Nov 2020 20:37:56 +0100

sway (1.5-5) unstable; urgency=medium

  * Only recommend foot, so users have a usable sway config
    on installation (Closes: #972569)
  * Add xdg-desktop-portal-wlr to suggestions
  * Add support for overriding configfile variables in default
    config (Closes: #969427)
  * Drop patch that hardcodes `foot` as term
  * Add a config file overriding the default $term variable
    and setting it to foot

 -- Birger Schacht <birger@debian.org>  Sun, 25 Oct 2020 13:38:25 +0100

sway (1.5-4) unstable; urgency=medium

  * d/control: do not use a virtual package as primary
    recommendation (Closes: #972199)
  * d/patches: set default terminal to foot in the system wide
    configuration file

 -- Birger Schacht <birger@debian.org>  Wed, 14 Oct 2020 20:48:12 +0200

sway (1.5-3) unstable; urgency=medium

  * Add policykit-1 to dependencies (Closes: #968643)

 -- Birger Schacht <birger@debian.org>  Sun, 23 Aug 2020 10:44:15 +0200

sway (1.5-2) unstable; urgency=medium

  * Upload to unstable (Closes: #965337)

 -- Birger Schacht <birger@debian.org>  Fri, 24 Jul 2020 17:42:00 +0200

sway (1.5-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version
  * d/control
   + Update uploader address
   + Bump min. version of wlroots build dependency to 0.11.0
   + Bump debhelper-compat version to 13


=== debian/control ===
Source: sway-regolith
Section: x11
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Birger Schacht <birger@debian.org>,
           nicoo <nicoo@debian.org>
Build-Depends: debhelper-compat (= 13),
               libcairo2-dev,
               libcap-dev,
               libdbus-1-dev (>= 1.10),
               libevdev-dev,
               libgdk-pixbuf2.0-dev,
               libinput-dev (>= 1.6.0),
               libjson-c-dev (>= 0.13),
               libpam0g-dev,
               libpango1.0-dev,
               libpcre2-dev,
               libpixman-1-dev,
               libseat-dev,
               libsystemd-dev (>= 239) | libelogind-dev (>= 239),
               libtrawldb,
               libwayland-dev (>= 1.20.0),
               libwayland-egl1,
               libwlroots-dev (>= 0.15.0),
               libxkbcommon-dev,
               meson (>=0.48),
               pkgconf,
               scdoc (>= 1.9.2),
               tree,
               wayland-protocols (>= 1.24)
Standards-Version: 4.6.1.0
Homepage: http://swaywm.org
Vcs-Browser: https://salsa.debian.org/swaywm-team/sway
Vcs-Git: https://salsa.debian.org/swaywm-team/sway.git
Rules-Requires-Root: no

Package: sway-regolith
Architecture: any
Provides: sway
Conflicts: sway
Replaces: sway
Depends: libgl1-mesa-dri, swaybg, policykit-1, libtrawldb, ${misc:Depends}, ${shlibs:Depends}
Recommends: suckless-tools, sway-backgrounds, foot
Suggests: swayidle, swaylock, xdg-desktop-portal-wlr
Description: i3-compatible Wayland compositor for the Regolith desktop environment
 sway (SirCmpwn's Wayland compositor) is a tiling Wayland compositor and a
 drop-in replacement for the i3 window manager for X11. It works with your
 existing i3 configuration and supports most of i3's features, plus a few
 extras. This means it is a minimalist, tiling window manager.  This variant
 supports trawl integration.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_OPTIONS=-v

include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wno-error=deprecated-declarations

%:
	dh $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=lib

.PHONY: override_dh_missing
override_dh_missing:
	dh_missing --fail-missing

## sway-regolith 1.7-9-1regolith

=== debian/changelog ===
sway-regolith (1.7-9-1regolith-jammy) jammy; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 18 Oct 2025 18:24:30 +0000

sway-regolith (1.7-9) jammy; urgency=medium

  [ Khosrow Moossavi ]
  * feat: use build-only to test pull request

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 18 Oct 2025 18:23:56 +0000

## sway-regolith 1.9-1-1regolith

=== debian/changelog ===
sway-regolith (1.9-1-1regolith-noble) noble; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 15 Mar 2024 03:12:55 +0000

sway-regolith (1.9-1) noble; urgency=medium

  [ Regolith Linux ]
  * Remove applied patch
  * Add libtrawldb dependency
  * Add trawl dep

  [ Filip Szczepański ]
  * Fix crash in xdg_activation_v1.c

  [ Alex Maese ]
  * sway: Add non-desktop-output type
  * sway: add non-desktop outputs to json when running `swaymsg -t get_outputs`
  * swaymsg: show non-desktop property when pretty printing outputs

  [ マリウス ]
  * man: Add XWayland information

  [ Simon Ser ]
  * ipc: expose mode picture aspect ratio
  * swaymsg: show mode picture aspect ratio
  * build: simplify protocol paths

  [ Andri Yngvason ]
  * sway/commands/output: Add command for unplugging non-physical outputs

  [ ohno418 ]
  * Improve Japanese translation

  [ Ferdinand Schober ]
  * allow pointer_constraints on layer_shell surfaces
  * check for NULL
  * use seat directly
  * Use keyboard_state.focused_surface directly

  [ Tudor Brindus ]
  * input: focus floating container when clicked on border
  * input: focus container when scrolling on titlebar

  [ Simon Ser ]
  * Fix leaks in criteria_destroy()

  [ cparm ]
  * Avoid double free in criteria_destroy()

  [ Simon Ser ]
  * Add support for ext-idle-notify-v1

  [ Tudor Brindus ]
  * input: tweak focus behavior to allow focusing parent containers

  [ Yaroslav de la Peña Smirnov ]
  * Fix keymap being NULL and segfaulting on dev add

  [ Daniel De Graaf ]
  * Rework session lock keyboard focus handling
  * Fix focus tracking when session lock is active

  [ Alexander Orzechowski ]
  * container_floating_set_default_size: Store workspace size box on the stack

  [ pudiva chip líquida ]
  * Support libinput's 1.21 new dwtp option

  [ Puck Meerburg ]
  * tree: support formatting null titles
  * criteria: allow matching on empty (NULL) titles

  [ Callum Andrew ]
  * criteria: allow matching for NULL string criteria

  [ Kirill Primak ]
  * ci: install hwdata

  [ Simon Ser ]
  * Use wl_signal_emit_mutable()

  [ Kirill Primak ]
  * Use wlr_damage_ring

  [ Simon Ser ]
  * lock: fix crash on output destroy

  [ Baltazár Radics ]
  * container_get_siblings: handle NULL workspace

  [ Joe Kappus ]
  * build: bump wlroots dependency to 0.17.0

  [ Alexander Orzechowski ]
  * workspace_create: Don't allow NULL name

  [ Kirill Primak ]
  * output: set damage ring bounds to pixel values

  [ Simon Zeni ]
  * sway/server: specify wlr-layer-shell version on creation

  [ Simon Ser ]
  * input/seat: locally compute drag icon offset
  * Listen to the output request_state event
  * ipc: add view content type
  * Update for wlroots!3814

  [ Manuel Stoeckl ]
  * Use shm_open instead of mkstemp

  [ Simon Ser ]
  * build: drop wayland-scanner fallback
  * build: unify server & client protocol generation
  * build: drop "server" from target name for protocol code
  * build: drop intermediate libraries for protocols

  [ Ronan Pigott ]
  * root: move the workspace matching code to its own file
  * node: prettify node type names
  * launcher: track workspaces by node
  * launcher: use xdga tokens
  * launcher: rename pid_workspace to launcher_ctx
  * view: associate launch contexts with views
  * launcher: initialize launcher_ctxs once on startup
  * launcher: fudge the interface a bit
  * launcher: export xdga tokens and use them for workspace matching
  * launcher: export X startup ids and use them for workspace matching

  [ Joan Bruguera ]
  * swaybar: Prioritize hotspot events to bar bindings
  * swaybar: Make hotspots block bar release bindings

  [ Simon Ser ]
  * build: drop unused wayland-egl dependency
  * build: bump version to 1.9-dev

  [ AsciiWolf ]
  * Translate README to Czech

  [ Simon Ser ]
  * Make GLES2 optional
  * Make DRM backend optional
  * Make session optional
  * Make libinput backend optional
  * build: remove trailing newline at end of file

  [ nerdopolis ]
  * Fix build on Debian Stable

  [ Simon Ser ]
  * build: move completions to separate file
  * build: fix have_xwayland when xcb-icccm is not found

  [ AsciiWolf ]
  * Fix typo in Czech README translation

  [ Simon Ser ]
  * Chase breaking changes in wlroots!39037ubuntu1

  [ Simon Zeni ]
  * sway/desktop/output: listen to output mode in commit handle
  * sway/lock: handle mode in output commit handler

  [ Kenny Levinsen ]
  * seat: Avoid sending redundant keymaps on reload

  [ Aidan Dang ]
  * Add `primary_selection` config option

  [ Simon Ser ]
  * ci: install Xwayland .pc file7ubuntu1
  * Add libinput RotationAngle

  [ Baltazár Radics ]
  * Fix input command order (rotation_angle)

  [ Ankit Pandey ]
  * commands/move: Warp cursor after moving workspace to another output

  [ Kenny Levinsen ]
  * seat: Set keyboard if seat keyboard is NULL

  [ Simon Ser ]
  * swaynag: fix NULL font description
  * swaynag: drop swaynag_type.font
  * man: fix typo in output disable docs
  * tree/container: drop unnecessary check in container_get_siblings()

  [ Carl Smedstad ]
  * Remove duplicate declarations
  * Add missing includes & remove duplicates
  * Make cmd_handler.command const
  * Remove redundant return statements
  * Replace math functions that promote float to double
  * Use correct length for strncmp comparison

  [ Alexander Orzechowski ]
  * warp_to_constraint_cursor_hint: Handle NULL view

  [ John Chadwick ]
  * Improve tablet tool button handling.

  [ Ronan Pigott ]
  * input: enable user xkb configs with cap_sys_nice

  [ Manuel Stoeckl ]
  * swaynag: call swaynag_destroy on clean exit

  [ Kirill Primak ]
  * input/tablet: handle focusing NULL surface

  [ Simon Ser ]
  * Send wl_surface.enter for ext-session-lock surfaces
  * Fix indentation in surface_is_xdg_popup()
  * Fix pointer events for ext-session-lock surfaces

  [ Tobias Bengfort ]
  * focus_on_window_activation: raise if floating

  [ Simon Ser ]


=== debian/control ===
--- 
+++ 
@@ -36,9 +36,6 @@
 
 Package: sway-regolith
 Architecture: any
-Provides: sway
-Conflicts: sway
-Replaces: sway
 Depends: libgl1-mesa-dri, swaybg, policykit-1, libtrawldb, ${misc:Depends}, ${shlibs:Depends}
 Recommends: suckless-tools, sway-backgrounds, foot
 Suggests: swayidle, swaylock, xdg-desktop-portal-wlr

## sway-regolith 1.9-4-1regolith

=== debian/changelog ===
sway-regolith (1.9-4-1regolith-noble) noble; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 18 May 2024 19:38:34 +0000

sway-regolith (1.9-4) noble; urgency=medium

  * chore: ignore debian tmp dir
  * fix: declare conflicts with sway to avoid package installation error.  Addresses https://github.com/regolith-linux/sway-regolith/issues/18.

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 19 Apr 2024 07:47:51 -0700

sway-regolith (1.9-3) noble; urgency=medium

  [ Regolith Linux ]
  * fix: add missing src/header for dbusmenu from 1.8 version. manually correct warning of uninitialized variable found in testing

  [ Soumya Ranjan Patnaik ]
  * chore: add patch to disable install for sway config and session files

  [ Regolith Linux ]
  * fix: manually reapply last patch due to 'fuzz' and add to series

 -- Regolith Linux <regolith.linux@gmail.com>  Wed, 03 Apr 2024 18:50:53 -0700

sway-regolith (1.9-2) noble; urgency=medium

  [ Regolith Linux ]
  * chore: add patch for regolith customizations of sway
  * chore: add patch for version issue
  * chore: cleanup debian packaging
  * chore: avoid shipping upstream wallpaper

  [ Soumya Ranjan Patnaik ]
  * chore: add patch to enable tray dbus menus

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 24 Mar 2024 14:06:12 -0700

=== debian/control ===
--- 
+++ 
@@ -39,6 +39,7 @@
 Depends: libgl1-mesa-dri, swaybg, policykit-1, libtrawldb, ${misc:Depends}, ${shlibs:Depends}
 Recommends: suckless-tools, sway-backgrounds, foot
 Suggests: swayidle, swaylock, xdg-desktop-portal-wlr
+Conflicts: sway
 Description: i3-compatible Wayland compositor for the Regolith desktop environment
  sway (SirCmpwn's Wayland compositor) is a tiling Wayland compositor and a
  drop-in replacement for the i3 window manager for X11. It works with your

## sway-regolith 1.9-16-1regolith

=== debian/changelog ===
sway-regolith (1.9-16-1regolith-oracular) oracular; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 31 Jan 2025 17:53:53 +0000

sway-regolith (1.9-16) noble; urgency=medium

  * fix: remove desktop session file

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 31 Jan 2025 12:52:43 -0500

sway-regolith (1.9-15) noble; urgency=medium

  * chore: update patches to use upstream bin name
  * fix: clean up package metadata

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 26 May 2024 10:02:24 -0700

sway-regolith (1.9-5) noble; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * chore: cleanup unrequired deps from the sway-regolith package (#22)
  * fix: use Provides for sway instead of Conflicts (#21)

 -- Regolith Linux <regolith.linux@gmail.com>  Thu, 16 May 2024 07:32:49 -0700

## sway-regolith 1.9-17-1regolith

=== debian/changelog ===
sway-regolith (1.9-17-1regolith-oracular) oracular; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 05 Apr 2025 22:15:30 +0000

sway-regolith (1.9-17) noble; urgency=medium

  * UNRELEASED

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 04 Feb 2025 14:18:28 +0000

## sway-regolith 1.9-18-1regolith

=== debian/changelog ===
sway-regolith (1.9-18-1regolith-noble) noble; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 18 Oct 2025 18:25:14 +0000

sway-regolith (1.9-18) noble; urgency=medium

  [ Khosrow Moossavi ]
  * feat: use build-only to test pull request

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 18 Oct 2025 18:24:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: sway-regolith
 Section: x11
 Priority: optional
-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
-Uploaders: Birger Schacht <birger@debian.org>,
-           nicoo <nicoo@debian.org>
+Maintainer: Soumya Ranjan Patnaik <soumyaranjan1812@gmail.com>, Regolith Desktop <regolith.desktop@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                libcairo2-dev,
                libcap-dev,
@@ -29,17 +27,20 @@
                tree,
                wayland-protocols (>= 1.24)
 Standards-Version: 4.6.1.0
-Homepage: http://swaywm.org
-Vcs-Browser: https://salsa.debian.org/swaywm-team/sway
-Vcs-Git: https://salsa.debian.org/swaywm-team/sway.git
 Rules-Requires-Root: no
 
 Package: sway-regolith
 Architecture: any
-Depends: libgl1-mesa-dri, swaybg, policykit-1, libtrawldb, ${misc:Depends}, ${shlibs:Depends}
-Recommends: suckless-tools, sway-backgrounds, foot
-Suggests: swayidle, swaylock, xdg-desktop-portal-wlr
+Depends: libgl1-mesa-dri,
+         libtrawldb,
+         polkitd,
+         swaybg,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: xdg-desktop-portal-wlr
+Provides: sway
 Conflicts: sway
+Replaces: sway
 Description: i3-compatible Wayland compositor for the Regolith desktop environment
  sway (SirCmpwn's Wayland compositor) is a tiling Wayland compositor and a
  drop-in replacement for the i3 window manager for X11. It works with your

## sway-regolith 1.10-2-1regolith

=== debian/changelog ===
sway-regolith (1.10-2-1regolith-questing) questing; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Wed, 10 Dec 2025 05:01:17 +0000

sway-regolith (1.10-2) trixie; urgency=medium

  [ Khosrow Moossavi ]
  * feat: enable github action to test and publish

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 05 Apr 2025 18:00:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: sway-regolith
 Section: x11
 Priority: optional
-Maintainer: Soumya Ranjan Patnaik <soumyaranjan1812@gmail.com>, Regolith Desktop <regolith.desktop@gmail.com>
+Maintainer: Soumya Ranjan Patnaik <soumyaranjan1812@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                libcairo2-dev,
                libcap-dev,
                libdbus-1-dev (>= 1.10),
                libevdev-dev,
-               libgdk-pixbuf2.0-dev,
+               libgdk-pixbuf-2.0-dev,
                libinput-dev (>= 1.6.0),
                libjson-c-dev (>= 0.13),
                libpam0g-dev,
@@ -19,7 +19,7 @@
                libtrawldb,
                libwayland-dev (>= 1.20.0),
                libwayland-egl1,
-               libwlroots-dev (>= 0.15.0),
+               libwlroots-0.18-dev,
                libxkbcommon-dev,
                meson (>=0.48),
                pkgconf,

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,4 @@
 .PHONY: override_dh_missing
 override_dh_missing:
 	dh_missing --fail-missing
+
